Module | Sequel::Oracle::DatabaseMethods
In: | lib/sequel/adapters/shared/oracle.rb

### Methods

create_sequence create_table create_trigger database_type drop_sequence table_exists? tables

### Constants

TEMPORARY | = | 'GLOBAL TEMPORARY '.freeze
AUTOINCREMENT | = | ''.freeze

### Public Instance methods

create_sequence(name, opts={})

[Source]

        # File lib/sequel/adapters/shared/oracle.rb, line 9
     9:       def create_sequence(name, opts={})
    10:         self << create_sequence_sql(name, opts)
    11:       end

create_table(name, options={}, &block)

[Source]

        # File lib/sequel/adapters/shared/oracle.rb, line 13
    13:       def create_table(name, options={}, &block)
    14:         options = {:generator=>options} if options.is_a?(Schema::Generator)
    15:         generator = options[:generator] || Schema::Generator.new(self, &block)
    16:         drop_statement, create_statements = create_table_sql_list(name, generator, options)
    17:         (execute_ddl(drop_statement) rescue nil) if drop_statement
    18:         (create_statements + index_sql_list(name, generator.indexes)).each{|sql| execute_ddl(sql)}
    19:       end

create_trigger(*args)

[Source]

        # File lib/sequel/adapters/shared/oracle.rb, line 21
    21:       def create_trigger(*args)
    22:         self << create_trigger_sql(*args)
    23:       end

database_type()

Oracle uses the :oracle database type

[Source]

        # File lib/sequel/adapters/shared/oracle.rb, line 30
    30:       def database_type
    31:         :oracle
    32:       end

drop_sequence(name)

[Source]

        # File lib/sequel/adapters/shared/oracle.rb, line 25
    25:       def drop_sequence(name)
    26:         self << drop_sequence_sql(name)
    27:       end

table_exists?(name)

[Source]

        # File lib/sequel/adapters/shared/oracle.rb, line 39
    39:       def table_exists?(name)
    40:         from(:tab).filter(:tname =>dataset.send(:input_identifier, name), :tabtype => 'TABLE').count > 0
    41:       end

tables(opts={})

[Source]

        # File lib/sequel/adapters/shared/oracle.rb, line 34
    34:       def tables(opts={})
    35:         ds = from(:tab).server(opts[:server]).select(:tname).filter(:tabtype => 'TABLE')
    36:         ds.map{|r| ds.send(:output_identifier, r[:tname])}
    37:       end

[Validate]